%def_disable static
%def_disable gtk_doc

Name: telepathy-glib
Version: 0.7.29
Release: alt1

Summary: Telepathy framework - GLib connection manager library
License: LGPL
Group: System/Libraries
Url: http://telepathy.freedesktop.org/wiki/TelepathyGLib

Source: http://telepathy.freedesktop.org/releases/telepathy-glib/%name-%version.tar.gz

# Automatically added by buildreq on Wed Apr 30 2008
BuildRequires: gcc-c++ gtk-doc libdbus-glib-devel python-module-PyXML

%description
This package contains telepathy-glib, a GLib-based library for Telepathy
components.

%package -n lib%name
Summary: Telepathy framework - GLib connection manager library
Group: System/Libraries

Obsoletes: %name
Provides: %name = %version-%release

%description -n lib%name
This package contains telepathy-glib, a GLib-based library for Telepathy
components.

%package -n lib%name-devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: lib%name = %version-%release

Obsoletes: %name-devel
Provides: %name-devel = %version-%release

%description -n lib%name-devel
Development libraries and header files for %name.

%package -n lib%name-devel-doc
Summary: Development documentation for %name
Group: Development/C
BuildArch: noarch
Conflicts: lib%name < %version

%description -n lib%name-devel-doc
This package contains development documentation for %name

%prep
%setup -q

# remove dependence on "pkgconfig(pkg-config) (>= 0.21)"
subst '/pkg-config/d' telepathy-glib/*.pc.in

rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
%configure \
	%{subst_enable static} \
	%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

%files -n lib%name
%doc AUTHORS ChangeLog
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%dir %_includedir/telepathy-1.0/telepathy-glib
%_includedir/telepathy-1.0/telepathy-glib/*.h
%dir %_includedir/telepathy-1.0/telepathy-glib/_gen
%_includedir/telepathy-1.0/telepathy-glib/_gen/*.h

%files -n lib%name-devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Mon Apr 27 2009 Yuri N. Sedunov <aris@altlinux.org> 0.7.29-alt1
- 0.7.29

* Thu Jan 29 2009 Yuri N. Sedunov <aris@altlinux.org> 0.7.24-alt1
- new version

* Thu Dec 18 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.20-alt1
- 0.7.20

* Mon Dec 01 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.19-alt1
- new version
- removed obsolete %%post{,un} scripts

* Sun Nov 09 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.18-alt1
- 0.7.18
- new devel-doc noarch subpackage

* Fri Jul 04 2008 Igor Zubkov <icesik@altlinux.org> 0.7.11-alt1
- 0.7.10 -> 0.7.11

* Fri Jun 13 2008 Igor Zubkov <icesik@altlinux.org> 0.7.10-alt1
- 0.7.8 -> 0.7.10

* Sat May 10 2008 Igor Zubkov <icesik@altlinux.org> 0.7.8-alt1
- 0.7.7 -> 0.7.8

* Sun May 04 2008 Igor Zubkov <icesik@altlinux.org> 0.7.7-alt2
- fix for fresh sisyphus_check

* Fri May 02 2008 Igor Zubkov <icesik@altlinux.org> 0.7.7-alt1
- 0.7.6 -> 0.7.7

* Wed Apr 30 2008 Igor Zubkov <icesik@altlinux.org> 0.7.6-alt1
- 0.7.3 -> 0.7.6
- buildreq

* Sat Feb 23 2008 Igor Zubkov <icesik@altlinux.org> 0.7.3-alt1
- 0.7.1 -> 0.7.3

* Sat Feb 23 2008 Igor Zubkov <icesik@altlinux.org> 0.7.1-alt1
- 0.7.0 -> 0.7.1

* Fri Jan 25 2008 Igor Zubkov <icesik@altlinux.org> 0.7.0-alt2
- rename telepathy-glib to libtelepathy-glib
- rename telepathy-glib-devel to libtelepathy-glib-devel

* Tue Dec 04 2007 Igor Zubkov <icesik@altlinux.org> 0.7.0-alt1
- 0.6.1 -> 0.7.0

* Mon Nov 12 2007 Igor Zubkov <icesik@altlinux.org> 0.6.1-alt1
- 0.6.0 -> 0.6.1

* Fri Sep 28 2007 Igor Zubkov <icesik@altlinux.org> 0.6.0-alt1
- 0.5.14 -> 0.6.0

* Thu Sep 06 2007 Igor Zubkov <icesik@altlinux.org> 0.5.14-alt1
- 0.5.13 -> 0.5.14

* Fri Jun 22 2007 Igor Zubkov <icesik@altlinux.org> 0.5.13-alt2
- add docs
- update Url
- add static library libtelepathy-glib-unstable.a to devel subpackage

* Fri Jun 22 2007 Igor Zubkov <icesik@altlinux.org> 0.5.13-alt1
- build for Sisyphus


